#version 430 core

in VertexData {
	vec4 position_world;
} vert;

uniform vec3 position_light;
uniform float far_plane;

void main() {	
	
    float lightDistance = length(vert.position_world.xyz - position_light);
    lightDistance = lightDistance / far_plane;
    gl_FragDepth = lightDistance;
}

