#version 430 core

layout (triangles) in;
layout (triangle_strip, max_vertices=18) out;

uniform mat4 cubemapMatrix[6];

out VertexData {
	vec4 position_world;
} vert;


void main()
{
	
	for(gl_Layer = 0; gl_Layer<6; ++gl_Layer) {
		for (int i = 0; i < 3; ++i) {
			vert.position_world = gl_in[i].gl_Position;
			gl_Position = cubemapMatrix[gl_Layer] * vert.position_world; 
			EmitVertex();		
		}
		EndPrimitive();
	}
}