#version 430 core
out vec4 FragColor;

in vec3 TexCoords;

uniform samplerCube skybox;

layout (location = 0) out vec4 gFragColor;
layout (location = 1) out vec2 gMotionVec;

void main()
{    
    FragColor = texture(skybox, TexCoords);
    gFragColor = FragColor;
    gMotionVec = vec2(0, 0);
}